/*!
 * (C) Gasco https://gasco-web-component.herokuapp.com/ - MIT License
 */
import { Component, h, Prop } from '@stencil/core';
export class GascoAvatar {
  render() {
    const { src, alt } = this;
    return (h("figure", { class: "avatar-native", part: "native" },
      h("img", { class: "avatar-img", src: src, alt: alt }),
      h("figcaption", null,
        h("slot", null))));
  }
  static get is() { return "gasco-avatar"; }
  static get encapsulation() { return "scoped"; }
  static get originalStyleUrls() { return {
    "$": ["gasco-avatar.md.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["gasco-avatar.md.css"]
  }; }
  static get properties() { return {
    "src": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": true,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "src",
      "reflect": false
    },
    "alt": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": true,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "alt",
      "reflect": false
    }
  }; }
}
